Subject: Re: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Dani Moncayo <[email-masked]>
Date: Fri, 25 Apr 2014 16:43:10 +0200

> But I've seen that the "goal column" feature seems to be limited only
> to C-n and C-p (according to my test and the docstring of
> "set-goal-column").
>
> I think that it would make sense to extend this feature to other
> vertical-scrolling commands like C-v, M-v, scroll-bar-toolkit-scroll
> or mwheel-scroll.

And BTW: C-n and C-p try to preserve the horizontal position of the
cursor even if there is no goal column set.  That is TRT do do, but
again: why limit that behavior to C-n/C-p?  I think it would also make
sense for the above-mentioned vertical scrolling commands (which
currently place the point at the first column after moving it to
another line).

-- 
Dani Moncayo